Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-03.txt

From: [email-masked]
Date: Fri, 07 Aug 2020 10:28:04 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : CMP Updates
        Author          : Hendrik Brockhaus
	Filename        : draft-ietf-lamps-cmp-updates-03.txt
	Pages           : 41
	Date            : 2020-08-07

Abstract:
   This document contains a set of updates to the base syntax and
   transport of Certificate Management Protocol (CMP) version 2.  This
   document updates RFC 4210 and RFC 6712.

   Specifically, the CMP services updated in this document comprise the
   enabling of using EnvelopedData instead of EncryptedValue, the
   definition of extended key usages to identify certificates of CMP
   endpoints on certification and registration authorities, and adds an
   HTTP URI discovery mechanism and extend the URI structure.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lamps-cmp-updates-03
https://datatracker.ietf.org/doc/html/draft-ietf-lamps-cmp-updates-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-updates-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Fri, 7 Aug 2020 17:38:07 +0000

This update of the CMP Updates draft contains the following changes:

   o  Added a ToDo on aligning with the CMP Algorithms draft that will
      be set up as decided in IETF 108
   o  Updated section on Encrypted Values in Section 2.4 to add the
      AsymmetricKey Package structure to transport a newly generated
      private key as decided in IETF 108
   o  Updated the IANA Considerations of [RFC4210] in Section 2.9
   o  Added the pre-registered OID in Section 2.9 and the ASN.1 module
   o  Added Section 3 to document the changes to RFC 6712
      [RFC6712] regarding URI discovery and using the path-prefix of
      '/.well-known/' as discussed in IETF 108
   o  Updated the IANA Considerations section
   o  Added a complete updated ASN.1 module in 1988 syntax to update
      Appendix F of [RFC4210] and a complete updated ASN.1 module in
      2002 syntax to update Section 9 of [RFC5912]

There are still some open issues:

In Section 3.2
It needs to be discussed if the discovery should be performed using GET on "/.well-known/cmp" or GET on "/.well-known" only. 
There is a similar discussion going on in ANIMA regarding BRSKI-AE.

In Appendix A.2
Dose this document then also updates [RFC5912] with the updated 2002 ASN.1 module?
In case the working group sees a need to provide this ASN.1 module in 2015 syntax, please let me know. 

Any feedback is welcome.

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von [email-masked]
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrack
> er.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7Cc
> ba797fa4c7943aaddbe08d83af755ef%7C38ae3bcd95794fd4addab42e1495d55a
> %7C1%7C0%7C637324181254353548&amp;sdata=Y%2FxBiQ%2FBgE%2B90U%
> 2FNTC7inNxj5XZz0CHJidqgW5DfYfI%3D&amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.
> org%2Fhtml%2Fdraft-ietf-lamps-cmp-updates-
> 03&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7Ccba797fa4c
> 7943aaddbe08d83af755ef%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C
> 0%7C637324181254353548&amp;sdata=27Sdw9mDrHc8XSkTUxe2lpa8om9iLdu
> 1p7tYM%2F7RNjw%3D&amp;reserved=0
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatrack
> er.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-lamps-cmp-updates-
> 03&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7Ccba797fa4c
> 7943aaddbe08d83af755ef%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C
> 0%7C637324181254353548&amp;sdata=w0%2B8bL6n4TcuOK9NMh%2FPwhQe
> hGfCmGdfixYeT0dgC3g%3D&amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.
> org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 03&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7Ccba797fa4c
> 7943aaddbe08d83af755ef%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C
> 0%7C637324181254353548&amp;sdata=W5BS1yuuT7cFZBjJrNmimczhpR5e%2F
> ctqiKvmd5RhWz0%3D&amp;reserved=0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.org%
> 2Finternet-
> drafts%2F&amp;data=02%7C01%7Chendrik.brockhaus%40siemens.com%7Ccba
> 797fa4c7943aaddbe08d83af755ef%7C38ae3bcd95794fd4addab42e1495d55a%
> 7C1%7C0%7C637324181254353548&amp;sdata=WoEafGNQNoWdlyJQbEKSILE1
> S3Vcr15AZvQu0RRSgts%3D&amp;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.
> org%2Fmailman%2Flistinfo%2Fspasm&amp;data=02%7C01%7Chendrik.brockha
> us%40siemens.com%7Ccba797fa4c7943aaddbe08d83af755ef%7C38ae3bcd957
> 94fd4addab42e1495d55a%7C1%7C0%7C637324181254353548&amp;sdata=Tgc
> iBXZoURLhsTDq%2BSvRnBmaH%2FScYxLnVV1zFAlwLcU%3D&amp;reserved=0